/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
console.debug("Loading: com.ibm.rqm.appscan.web.client.internal.InfoClient");
dojo.provide("com.ibm.rqm.appscan.web.client.internal.InfoClient");
dojo.require("com.ibm.team.repository.web.transport.ServiceRequest");
dojo.require("com.ibm.team.repository.web.transport.TeamServerClient");

(function() { //module container

var ServiceRequest 			= com.ibm.team.repository.web.transport.ServiceRequest;
var TeamServerClient 		= com.ibm.team.repository.web.transport.TeamServerClient;

com.ibm.rqm.appscan.web.client.internal.InfoClient = {

	SERVICE_URI: "com.ibm.rqm.appscan.common.service.rest.IInfoRestService",
    
	_invokeService: function(responseHandler, method, appArgs) {
		var serviceRequest= new ServiceRequest(this.SERVICE_URI, method, appArgs);
		TeamServerClient.invokeService(serviceRequest, responseHandler);
	},
			
	getVersion: function(serviceResponseHandler) {
		this._invokeService(serviceResponseHandler, "getVersion", { });
	},
	
	getBaseUrl: function(serviceResponseHandler) {
		this._invokeService(serviceResponseHandler, "getBaseUrl", { });
	}
};

})();
