/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultStates");

dojo.require("com.ibm.rqm.execution.web.ui.internal.view.common.ImageCache");

(function() { //module container
var ImageCache = com.ibm.rqm.execution.web.ui.internal.view.common.ImageCache;

com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultStates = {

    PASSED: "com.ibm.rqm.execution.common.state.passed", 
    FAILED: "com.ibm.rqm.execution.common.state.failed",
    BLOCKED: "com.ibm.rqm.execution.common.state.blocked", 
    PARTIALLY_BLOCKED: "com.ibm.rqm.execution.common.state.part_blocked",
    INCOMPLETE: "com.ibm.rqm.execution.common.state.incomplete",
    PERM_FAILED: "com.ibm.rqm.execution.common.state.perm_failed",
    DEFERRED: "com.ibm.rqm.execution.common.state.deferred",
    
    IN_PROGRESS: "com.ibm.rqm.execution.common.state.inprogress",
    PAUSED: "com.ibm.rqm.execution.common.state.paused",
	ERROR: "com.ibm.rqm.execution.common.state.error",
	
    ICONS: {
            "com.ibm.rqm.execution.common.state.passed": ImageCache.PASS_ICON,
            "com.ibm.rqm.execution.common.state.failed": ImageCache.FAIL_ICON,
            "com.ibm.rqm.execution.common.state.blocked": ImageCache.BLOCKED_ICON,
            "com.ibm.rqm.execution.common.state.part_blocked": ImageCache.PART_BLOCKED_ICON,
			"com.ibm.rqm.execution.common.state.incomplete": ImageCache.INCOMPLETE_ICON,
			"com.ibm.rqm.execution.common.state.perm_failed": ImageCache.PERMFAIL_ICON,
			"com.ibm.rqm.execution.common.state.deferred": ImageCache.DEFFERED_ICON,
            "com.ibm.rqm.execution.common.state.error": ImageCache.ERROR_ICON,
			"com.ibm.rqm.execution.common.state.paused": ImageCache.PAUSE_ICON,
			"com.ibm.rqm.execution.common.state.inprogress": ImageCache.IN_PROGRESS_ICON,
			"com.ibm.rqm.execution.common.state.inconclusive": ImageCache.INCON_ICON
    }	
	
};

})();
