/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.ui.internal.page.Footer");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");
dojo.require("com.ibm.team.repository.web.client.init.InitializationData");
//xojo.require("com.ibm.team.repository.provision.client.internal.ProvisionResponseHandler");

dojo.require("com.ibm.rqm.planning.web.client.internal.Constants");

/**
 * Provides the web UI's footer.
 */
(function() {
	 
var checkNotNull = net.jazz.ajax.toolbox.lang.checkNotNull;
var InitializationData = com.ibm.team.repository.web.client.init.InitializationData;
var Constants = com.ibm.rqm.planning.web.client.internal.Constants;
	 
dojo.declare("com.ibm.rqm.planning.web.ui.internal.page.Footer", [dijit._Widget, dijit._Templated], {
		
	templatePath: dojo.moduleUrl("com.ibm.rqm.planning.web", "ui/internal/page/templates/Footer.html"),
	
	labelCopyright: Constants.getMessage("labelCopyright"),
	
	postCreate: function() {
		com.ibm.rqm.planning.web.ui.internal.page.Footer.superclass.postCreate.apply(this);
		checkNotNull(this.ibmLogoImg, "this.ibmLogoImg");
		//checkNotNull(this.rtlLogoImg, "this.rtlLogoImg");
		this.ibmLogoImg.src = dojo.moduleUrl("com.ibm.rqm.planning.web", "ui/internal/page/templates/images/ibm_logo_sm.gif");
		this.byJazzLogoImg.src = dojo.moduleUrl("com.ibm.rqm.planning.web", "ui/internal/page/templates/images/poweredbyjazz.gif");
		/*
		var serverVersion = InitializationData.get("com.ibm.team.repository.service.serverInfoInitializer");
		if (serverVersion != null) {
			this.jazzServerVersion.parentNode.className = "server-version " + this.jazzServerVersion.parentNode.className;
			this.jazzServerVersion.appendChild(document.createTextNode("Powered by Jazz Team Server Version " + serverVersion.version)); 
		}
		*/
	}
});

})();
