/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.requirement.web.ui.internal.util.RequirementClientUtil");


(function(){
    com.ibm.rqm.requirement.web.ui.internal.util.RequirementClientUtil = {
        encode64_: function(s){
            var a = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
            var b = "";
            var c = s.length;
            var d = s.length / 3;
            var e = s.lenght % 3;
            for (var k = 0; k <= d; k++) {
                var f = s.charCodeAt(k) >> 2;
                var g = ((s.charCodeAt(k) & 3) << 4) | (s.charCodeAt(k + 1) >> 4);
                var h = ((s.charCodeAt(k + 1) & 15) << 2) | (s.charCodeAt(k + 2) >> 6);
                var i = s.charCodeAt(k + 2) & 63;
                b += a.charAt(f) + a.charAt(g) + a.charAt(h) + a.charAt(i);
            }
            if (e == 1) {
                var f = s.charCodeAt(k) >> 2;
                var g = ((s.charCodeAt(k) & 3) << 4) | (s.charCodeAt(k + 1) >> 4);
                var h = ((s.charCodeAt(k + 1) & 15) << 2);
                b += a.charAt(f) + a.charAt(g) + a.charAt(h) + a.charAt(64);
            }
            else 
                if (e == 2) {
                    var f = s.charCodeAt(k) >> 2;
                    var g = ((s.charCodeAt(k) & 3) << 4);
                    b += a.charAt(f) + a.charAt(g) + a.charAt(64) + a.charAt(64);
                }
            return b;
        },
        encode64: function(src){
            var enKey = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
            var str = new Array();
            var ch1, ch2, ch3;
            var pos = 0;
            while (pos + 3 <= src.length) {
                ch1 = src.charCodeAt(pos++);
                ch2 = src.charCodeAt(pos++);
                ch3 = src.charCodeAt(pos++);
                str.push(enKey.charAt(ch1 >> 2), enKey.charAt(((ch1 << 4) + (ch2 >> 4)) & 0x3f));
                str.push(enKey.charAt(((ch2 << 2) + (ch3 >> 6)) & 0x3f), enKey.charAt(ch3 & 0x3f));
            }
            if (pos < src.length) {
                ch1 = src.charCodeAt(pos++);
                str.push(enKey.charAt(ch1 >> 2));
                if (pos < src.length) {
                    ch2 = src.charCodeAt(pos);
                    str.push(enKey.charAt(((ch1 << 4) + (ch2 >> 4)) & 0x3f));
                    str.push(enKey.charAt(ch2 << 2 & 0x3f), '=');
                }
                else {
                    str.push(enKey.charAt(ch1 << 4 & 0x3f), '==');
                }
            }
            return str.join('');
            
        }
    };
})();
