/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.asq.common.web.ui.internal.widgets.Button");

dojo.require("dijit.form.Button");

dojo.declare("com.ibm.asq.common.web.ui.internal.widgets.Button", dijit.form.Button, {

    constructor: function() {
	},

    postCreate: function(){
        this.inherited('postCreate', arguments);
    },
	
    //FIX defect 4697. 
	//@Overridden: setDisabled function from dijit.form._FormWidget. 
	//When the domNode is disabled, the title should appear when the mouse is over the button. 
    setDisabled: function(/*Boolean*/ disabled){
        // summary:
        //      Set disabled state of widget.

        this.domNode.disabled = this.disabled = disabled;
        if(this.focusNode){
        //Fix: remove this line. 
        //  this.focusNode.disabled = disabled;
        }
        if(disabled){
            //reset those, because after the domNode is disabled, we can no longer receive
            //mouse related events, see #4200
            this._hovering = false;
            this._active = false;
        }
        dijit.setWaiState(this.focusNode || this.domNode, "disabled", disabled);
        this._setStateClass();
    }	

});
