/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.client.internal.mapper.TestPlanMapper");
dojo.require("com.ibm.rqm.planning.web.client.internal.mapper.SearchResultMapper");

dojo.declare("com.ibm.rqm.planning.web.client.internal.mapper.TestPlanMapper",
             com.ibm.rqm.planning.web.client.internal.mapper.SearchResultMapper, {
			 	
	// maps a summary DTO to a full DTO
	// optimus prime time.  transform summary DTO to look like a real DTO. 
	map: function(summaryDTO) {
		
		// categories
		/*
		if (summaryDTO.categoryNames != null) {
			summaryDTO.categories = [];
			for (var i = 0; i < summaryDTO.categoryNames.length; i++) {
				summaryDTO.categories[i] = {}
				summaryDTO.categories[i].name = summaryDTO.categoryNames[i];
				summaryDTO.categories[i].categoryType = { name : summaryDTO.categoryTypeNames[i] };
			}
			summaryDTO.categoryNames = null;
			summaryDTO.categoryTypeNames = null;
		}
		*/
		
		// test cases
		if (summaryDTO.testCaseIds!=null) {
			summaryDTO.testCases = [];
			for (var i=0; i<summaryDTO.testCaseIds.length; i++) {
				summaryDTO.testCases[i] = {};
				summaryDTO.testCases[i].id = summaryDTO.testCaseIds[i];
				summaryDTO.testCases[i].name = summaryDTO.testCaseNames[i];
			}
			summaryDTO.testCaseIds = null;
			summaryDTO.testCaseNames = null;
		}
		
		return summaryDTO;
	}
	
});