/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
({
    "bundle_description": "AppScan Tester Edition 訊息",
    
    // Global messages
    "error_ase_not_configured": "目前未配置與 Rational AppScan Tester Edition 的整合。",
	"error_ase_retrieving_templates": "試圖從 Rational AppScan Tester Edition 擷取範本時，發生錯誤：",
    "loading": "正在載入...",
    "name": "名稱",
    "description": "說明",
    
    // Test policy names
    "wf-default-test-policy": "預設值",
    // Test policy descriptions
    "IDS_DEFAULT_TEST_POLICY_DESCRIPTION": "這個測試原則包括侵入性測試及埠接聽器測試以外的所有測試。",
    
    // Issue severities
    "issue_severity_high": "高",
    "issue_severity_medium": "中",
    "issue_severity_low": "低",
    "issue_severity_information": "資訊",
    
    // Execution log messages
	"view_stats" : "檢視 Rational AppScan Tester Edition 中的詳細統計資料",
	"view_stats_header" : "掃描統計資料",
	"scan_progress_header" : "頁面",
	"error_details_header" : "錯誤詳細資料",
    "execution_progress": "掃描進度",
    "scan_log_entries": "%1 個項目",
    "scan_log_download": "下載",
    "scan_log_empty": "日誌是空的",
    "reports_view_in_ase": "在 Rational AppScan Tester Edition 中檢視",
	"error_text_none": "無",
    "summary_severity": "嚴重性",
    "summary_issues": "作用中的問題",
    "executionlog_message": "訊息：",
    "executionlog_threshold": "嚴重性臨界值：",
    "executionlog_issues": "找到安全問題：",
    "executionlog_reports": "報告：",
    "executionlog_scanlog": "掃描日誌：",
	"execution_with_no_scan": "這份 Rational AppScan Tester Edition Script 沒有相關聯的掃描。您必須編輯測試 Script，並建立掃描來執行安全測試。",
	"execution_canceled": "已取消執行",
    "view_test_script_link": "編輯測試 Script",
	
    "scan_result_success": "掃描已順利完成。",
    "scan_result_failed": "掃描未完成。請檢視「掃描日誌」，以取得詳細資料。",
    "scan_result_noscan": "測試 Script 沒有相關聯的 Rational AppScan Tester Edition 掃描。",
	"scan_result_could_not_start" : "無法啟動掃描。",
	"scan_result_no_retrieve_scan" : "無法擷取掃描，可能已刪除。",
	"scan_result_cancelled" : "已取消掃描。",
	"scan_result_nosecurityissues" : "找不到安全摘要。請確定已將「安全問題」報告併入掃描中。",
    
    // Test Plan messages
    "available_test_policies": "可用的測試原則",
    "plan_security_summary": "在「測試計劃」中檢視可用的 Rational AppScan Tester Edition 測試原則。",
    "edit_item": "編輯 %1",
    
    // Test Script editor dynamic messages
    "create_scan": "建立掃描",
    "creating": "正在建立掃描...",
    "edit_scan": "編輯掃描",
    "ase_wrong_version": "當使用 Rational AppScan Tester Edition %1 版時，無法進行與 Rational Quality Manager 的整合（現行版本 = %2；預期版本 = %3）。",
    "ase_no_templates": "在 Rational AppScan Tester Edition 中，未定義任何範本。在定義範本之前，無法建立掃描。請洽詢管理者。",
    "creating_scan": "正在建立 Rational AppScan Tester Edition 掃描。建立完成之後，會在新的瀏覽器視窗中開啟掃描。",
    "confirm_save": "若要繼續建立 Rational AppScan Tester Edition 掃描，您必須先儲存測試 Script。您要立即儲存嗎？",
    "confirm_create": "您正在儲存測試 Script，但尚未建立 Rational AppScan Tester Edition 掃描。在建立掃描之前，您無法執行測試 Script。按一下「確定」可以繼續儲存測試 Script。按一下「取消」可以返回並建立掃描。",
    "popup_blocker_title": "無法在新視窗或標籤中，開啟 Rational AppScan Tester Edition",
    "popup_blocker": "無法在新視窗或標籤中，開啟 Rational AppScan Tester Edition。原因可能是有蹦現封鎖程式，請停用用來封鎖這個網站之蹦現視窗的軟體，然後再按一下鏈結。",
	"error_creating_scan" : "建立掃描期間發生錯誤。請參閱「品質管理程式」日誌，以取得詳細資料。",
	
	// Test Script editor static messages
	"testscript_intro": "Rational AppScan Tester Edition 會掃描 Web 應用程式的安全漏洞。",
	"testscript_template_title": "範本",
	"testscript_template_intro": "選取建立掃描時所用的範本類型。建立好掃描之後，便無法再修改這項資訊。",
	"testscript_type_title": "類型",
	"testscript_verdict_title": "裁決策略",
	"testscript_verdict_intro": "裁決策略用來決定相關測試執行記錄是成功或失敗，所必須符合的準則。",
	"testscript_severity_threshold_title": "嚴重性臨界值",
	"testscript_400": "高",
	"testscript_300": "中",
	"testscript_200": "低",
	"testscript_100": "資訊",		
	
	// training viewlet static messages
	"toviewlet_overview": "IBM Rational Web-based Training for AppScan e-Learning 合輯以十餘年來在充滿挑戰的複雜 Web 環境中，從客戶部署獲得的專家和最佳實務為基礎，提供了自學式線上訓練系列課程。這些課程的設計，可以協助您瞭解「Web 應用程式安全」以及如何有效使用 AppScan。",
	"toviewlet_course_intro": "對於 Rational Quality Manager (RQM) 使用者的建議課程如下：",
	"toviewlet_course_title_title": "課程標題",
	"toviewlet_course_code_title": "課程代碼",
	"toviewlet_course_title_webappsec": "Web 應用程式安全的要點",
	"toviewlet_course_title_ase": "IBM Rational AppScan Enterprise Edition",
	"toviewlet_buy_link_before": "如果您已購買 IBM Rational Web-based Training for AppScan 合輯，請登入我們的 Learner Portal 來檢視這些課程：",
	"toviewlet_buy_link_after": "。"
})

