/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.ui.internal.page.print.PrintPageController");

(function()
{/** * Main page controller */

    dojo.declare("com.ibm.rqm.planning.web.ui.internal.page.print.PrintPageController", null, {
        constructor: function(myView){
            this._view = myView;            
        },
		
        getView: function() {
            return this._view;
        },

        testPlan: function(uriArgs) {
			this.getView().viewTestPlan(uriArgs);
        },
		
        testCase: function(uriArgs) {
            this.getView().viewTestCase(uriArgs);
        },
		
		testScript: function(uriArgs) {
            this.getView().viewTestScript(uriArgs);
        }
        
    });
})();
