/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
console.debug("Loading com.ibm.rqm.planning.web.ui.internal.view.actionbarentries.DefectsActionBarEntry");
dojo.provide("com.ibm.rqm.planning.web.ui.internal.view.actionbarentries.DefectsActionBarEntry");

dojo.require("net.jazz.ajax.ui.internal.PageRegistry");

dojo.require("com.ibm.rqm.planning.web.ui.internal.view.common.ActionBarEntry");
dojo.require("com.ibm.rqm.planning.web.client.internal.Constants");

(function() 
{
	var PageRegistry = net.jazz.ajax.ui.internal.PageRegistry;
    var Constants = com.ibm.rqm.planning.web.client.internal.Constants;

	dojo.declare(
		"com.ibm.rqm.planning.web.ui.internal.view.actionbarentries.DefectsActionBarEntry",
		[com.ibm.rqm.planning.web.ui.internal.view.common.ActionBarEntry],
		{
			constructor: function()
			{
			},
	
			postCreate: function(args)
			{
			},
			
			initialize: function(args)
			{
				com.ibm.rqm.planning.web.ui.internal.view.actionbarentries.DefectsActionBarEntry.superclass.initialize.call(this, args);
				
				var pages = PageRegistry.getPages();
				this._jazzPageUri = "";
				for(var i=0; i<pages.length; i++)
				{
					if (pages[i].id == "com.ibm.team.workitem")
					{
						this._jazzPageUri = pages[i].getUri();
						break;
					}
				}
				
				this._addNonDispatchableMenuEntry(Constants.getMessage("labelCreateDefect"), dojo.hitch(this, "_onClickCreateDefect"), false, null);
				this._addMenuSeparator();
				this._addNonDispatchableMenuEntry(Constants.getMessage("labelGoToDefects"), dojo.hitch(this, "_onClickDefects"), false, null);
			},
			
			_onClickCreateDefect: function()
			{
				window.location.hash = "action=com.ibm.team.workitem.newWorkItem&type=defect";
			},
			
			_onClickDefects: function()
			{
				window.location.hash = this._jazzPageUri;
			}
		}
	);
}
)();
